=== debian/changelog ===
nco (4.4.2-1) unstable; urgency=medium

  * New upstream release.
    (closes: #611673)
  * Added missing watch flle.
  * Policy bumped to 3.9.5.
  * Added build-dep on autotools-dev and update/clean step in debian/rules.
    (closes: #727470)
  * Changed Vcs-* url to canonicali ones.
  * Debhelper level set to 9.
  * Now nco.html is a single file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 26 Mar 2014 16:54:51 +0100
