=== debian/control ===
Source: nco
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 9)
 , antlr
 , bison
 , flex
 , gsl-bin
 , libgsl0-dev
 , libantlr-dev
 , netcdf-bin
 , libnetcdf-dev
 , texinfo
 , libudunits2-0
 , libudunits2-dev
 , libdap-dev
 , autotools-dev
Standards-Version: 3.9.5
Homepage: http://nco.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/nco.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/nco.git

Package: nco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command-line operators to analyze netCDF files
 NCO is a suite of programs known as operators. The operators are stand-alone,
 command-line programs executable in a POSIX shell. Operators take one or more
 netCDF files as input, perform operations (e.g., averaging, hyperslabbing),
 and produce a netCDF output file. NCO was originally designed to manipulate and
 analyze climate data, though it works on any netCDF format datasets.
