=== debian/watch ===
version=3
http://sf.net/nco/nco-(.+)\.tar\.gz
