=== debian/changelog ===
nco (4.4.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 31 May 2015 00:58:11 +0200

nco (4.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream metadata for move to GitHub.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 May 2015 16:10:35 +0200

nco (4.4.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2015 15:55:09 +0200

nco (4.4.8-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 22:23:51 +0200

nco (4.4.8-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years in copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Feb 2015 12:53:33 +0100

nco (4.4.7-1~exp1) experimental; urgency=medium

  [ Francesco Paolo Lovergine ]
  * Now moving to modern dh support.

  [ Bas Couwenberg ]
  * New upstream release.
  * Add myself to Uploaders.
  * Update watch files with sepwatch changes, further improved to only match
    upstream source tarballs.
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update copyright file using copyright-format 1.0.
  * Ignore test failures instead of disabling them.
  * Override dh_install to use --list-missing.
  * Don't install libnco.la.
  * Enable parallel builds.
  * Install xmp images alongside documentation.
  * Update doc-base HTML paths.
    (closes: #757323)
  * Add patch to fix hyphen-used-as-minus-sign issues in man pages.
  * Bump Standards-Version to 3.9.6, changes: copyright-format 1.0.
  * Use dh-autoreconf for retooling.
    (closes: #744476)
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Feb 2015 21:34:10 +0100
