## nco 4.5.0

=== debian/changelog ===
nco (4.5.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jun 2015 12:25:58 +0200

nco (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Jun 2015 14:20:46 +0200
