=== debian/control ===
Source: nco
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               bison,
               flex,
               antlr,
               libantlr-dev,
               gsl-bin,
               libgsl0-dev,
               netcdf-bin,
               libnetcdf-dev,
               libudunits2-0,
               libudunits2-dev,
               libdap-dev,
               texinfo
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/nco.git -b jessie-backports
Homepage: http://nco.sourceforge.net/

Package: nco
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command-line operators to analyze netCDF files
 NCO is a suite of programs known as operators. The operators are stand-alone,
 command-line programs executable in a POSIX shell. Operators take one or more
 netCDF files as input, perform operations (e.g., averaging, hyperslabbing),
 and produce a netCDF output file. NCO was originally designed to manipulate and
 analyze climate data, though it works on any netCDF format datasets.
