=== debian/watch ===
version=3
http://nco.sourceforge.net/src/ \
(?:|.*/)nco-(\d[\d\.]+\d)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
