=== debian/changelog ===
nco (4.5.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jul 2015 12:50:27 +0200

nco (4.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop hyphen-used-as-minus-sign.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jul 2015 09:03:34 +0200
