=== debian/changelog ===
nco (4.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream metadata for GitHub repo move.
  * Drop typo patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Sep 2015 12:27:29 +0200

nco (4.5.1-2) unstable; urgency=medium

  * Handle common dversion mangling in watch file.
  * Add patch for 'unofficial' typo.
  * Rebuild for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 14:44:04 +0200
