=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                texinfo
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/nco.git -b jessie-backports
+Vcs-Git: git://anonscm.debian.org/pkg-grass/nco.git
 Homepage: http://nco.sourceforge.net/
 
 Package: nco
