## nco 4.5.3

=== debian/changelog ===
nco (4.5.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 23 Nov 2015 21:24:39 +0100

nco (4.5.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete convert script.
  * Update libgsl-dev build dependendency for gsl 2.0.
  * Add patch for GSL 2.0 support.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Nov 2015 11:02:23 +0100

nco (4.5.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Sep 2015 19:29:38 +0200
