## nco 4.5.4

=== bld/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Purpose: GNU Makefile for NCO module nco
 # Requires GNU Make---AT&T Make chokes on GNU syntax
 
-# Copyright (C) 1994--2015 Charlie Zender
+# Copyright (C) 1994--2016 Charlie Zender
 # License: GNU General Public License (GPL) Version 3
 # See http://www.gnu.org/copyleft/gpl.html for full license text
 
@@ -15,15 +15,17 @@
 # Machine build parameters
 #                         Source     Method   Packages Compiler
 # aerosol.ess.uci.edu: NCO          Configure All else LLVM
+# firn.ess.uci.edu   : NCO          Configure All else LLVM
 # givre.ess.uci.edu  : NCO + netCDF Makefile  All else LLVM
 # roulee.ess.uci.edu : NCO + netCDF Makefile  All else GCC
 # neige.ess.uci.edu  : NCO          Makefile  All else GCC
-# dust.ess.uci.edu   : -            -         All
 # glace.ess.uci.edu  : NCO          Configure All else GCC
 # grele.ess.uci.edu  : NCO          Makefile  All else GCC
-# tephra.ess.uci.edu : NCO          Makefile  All else
-# yellowstone.ucar.e : -            Makefile  All else Intel
-# rhea.ccs.ornl.gov  : NCO          Makefile  All else 
+# yellowstone.ucar.e : NCO          Makefile  All else Intel
+# rhea.ccs.ornl.gov  : NCO          Makefile  All else GCC
+# cooley.alcf.anl.g  : NCO          Configure All else GCC
+# edison.nersc.gov   : NCO          Configure All else Intel
+# travis CI          : NCO          Configure All else gcc,clang,g++
 
 # Usage (testing):
 # make tst                           # Vanilla regression test
@@ -243,12 +245,3 @@
 ifndef PGI_RCH_ARG
  PGI_RCH_ARG :=
 endif # endif PGI_RCH_ARG
-ifndef PNETCDF # pnetCDF support
- PNETCDF := N
-endif # endif PNETCDF
-ifndef PSC_RCH_ARG
- PSC_RCH_ARG :=
-endif # endif PSC_RCH_ARG
-ifndef RPM
- RPM := N
-endif # endif RPM
