=== debian/changelog ===
nco (4.5.4-1build1) xenial; urgency=medium

  * No-change rebuild for netcdf transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 22:08:32 +0000

nco (4.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years in copyright file.
  * Drop gsl-2.0.patch, upstream includes GSL 2 support now.
  * Add patch for a couple of typos.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jan 2016 01:35:56 +0100
