=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                antlr,
                libantlr-dev,
                gsl-bin,
-               libgsl0-dev,
+               libgsl-dev | libgsl0-dev,
                netcdf-bin,
                libnetcdf-dev,
                libudunits2-0,
