## nco 4.5.5

=== debian/changelog ===
nco (4.5.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Mar 2016 00:13:00 +0100

nco (4.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update Vcs-Git URL to use HTTPS.
  * Use GitHub for upstream sources.
  * Drop typos.patch, applied upstream.
  * Add patch for various new typos.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Feb 2016 18:19:59 +0100

nco (4.5.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jan 2016 22:18:44 +0100
