=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/nco.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b jessie-backports
 Homepage: http://nco.sourceforge.net/
 
 Package: nco
