## nco 4.6.0

=== debian/changelog ===
nco (4.6.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 May 2016 18:59:26 +0200

nco (4.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop typos.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 10:15:06 +0200

nco (4.5.5-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable all buildflags, except PIE (causes build failure).

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 22:22:13 +0200
