=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
                libgsl-dev | libgsl0-dev,
                netcdf-bin,
                libnetcdf-dev,
-               libudunits2-0,
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/nco.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/nco.git -b jessie-backports
 Homepage: http://nco.sourceforge.net/
