## nco 4.6.1

=== debian/changelog ===
nco (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Aug 2016 12:41:46 +0200
